Subject: Ticket Assigned - PLS do not shop here! I am still waiting for my refund for a defective item they sold me, from March...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 26 Jun 2020 07:04:07 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  PLS do not shop here! I am still waiting for my refund for a defective item they sold me, from March... PLS do not shop here! I am still waiting for my refund for a defective item they sold me, from March 2020!!!! They dont want to refund the amount, clearly!!!? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1256916